﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LabKPZDB_EF
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ISPDatabase2Entities1 : DbContext
    {
        public ISPDatabase2Entities1()
            : base("name=ISPDatabase2Entities1")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Billing> Billings { get; set; }
        public virtual DbSet<BrandedRouter> BrandedRouters { get; set; }
        public virtual DbSet<ConnectionApplication> ConnectionApplications { get; set; }
        public virtual DbSet<Contract> Contracts { get; set; }
        public virtual DbSet<InvitedUser> InvitedUsers { get; set; }
        public virtual DbSet<Manager> Managers { get; set; }
        public virtual DbSet<Refill> Refills { get; set; }
        public virtual DbSet<StaticIpService> StaticIpServices { get; set; }
        public virtual DbSet<Tariff> Tariffs { get; set; }
        public virtual DbSet<Ticket> Tickets { get; set; }
        public virtual DbSet<User> Users { get; set; }
    }
}
